<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CredenciamentoResource.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.web.rest</a> &gt; <span class="el_source">CredenciamentoResource.java</span></div><h1>CredenciamentoResource.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.web.rest;

import java.net.URI;
import java.net.URISyntaxException;
import java.security.GeneralSecurityException;
import java.util.List;
import java.util.Optional;

import javax.validation.Valid;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.codahale.metrics.annotation.Timed;

import br.edu.unifacisa.lti.domain.Credenciamento;
import br.edu.unifacisa.lti.domain.EnviadorEmail;
import br.edu.unifacisa.lti.domain.enumeration.StatusCredenciamento;
import br.edu.unifacisa.lti.repository.CredenciamentoRepository;
import br.edu.unifacisa.lti.web.rest.util.HeaderUtil;
import io.github.jhipster.web.util.ResponseUtil;





/**
 * REST controller for managing Credenciamento.
 */
@RestController
@RequestMapping(&quot;/api&quot;)
public class CredenciamentoResource {

<span class="fc" id="L43">    private final Logger log = LoggerFactory.getLogger(CredenciamentoResource.class);</span>

    private static final String ENTITY_NAME = &quot;credenciamento&quot;;
    private static final String ASSUNTO = &quot;Credenciamento do Maior São João do Mundo 2017&quot;;
    private static final String ANALISE = &quot;Sua solicitação de credenciamento &quot;
    		+ &quot;foi recebida, após análise dos dados informaremos a aprovação da credencial.\n \n&quot;
    		+ &quot;Coordenação de Comunicação.\n &quot;
    		+ &quot;O Maior São João do Mundo 2017. \n&quot;
    		+ &quot;Prefeitura Municipal de Campina Grande, PB.&quot;;
    private static final String APROVADO = &quot;Sua credencial foi aprovada! \n &quot;
    		+ &quot;Data da retirada: 02 de junho de 2017 \n Local: Centro Cultural. &quot;
    		+ &quot;Lourdes Ramalho, rua Paulino Raposo, S/N, São José, Campina Grande - PB.\n \n &quot;
    		+ &quot;Coordenação de Comunicação.\n &quot;
    		+ &quot; O Maior São João do Mundo 2017. \n &quot;
    		+ &quot; Prefeitura Municipal de Campina Grande, PB.&quot;;
        
    private final CredenciamentoRepository credenciamentoRepository;
<span class="fc" id="L60">    private EnviadorEmail  email = new EnviadorEmail();</span>

<span class="fc" id="L62">    public CredenciamentoResource(CredenciamentoRepository credenciamentoRepository) {</span>
<span class="fc" id="L63">        this.credenciamentoRepository = credenciamentoRepository;</span>
<span class="fc" id="L64">    }</span>

    /**
     * POST  /credenciamentos : Create a new credenciamento.
     *
     * @param credenciamento the credenciamento to create
     * @return the ResponseEntity with status 201 (Created) and with body the new credenciamento, or with status 400 (Bad Request) if the credenciamento has already an ID
     * @throws URISyntaxException if the Location URI syntax is incorrect
     * @throws GeneralSecurityException 
     */
    @PostMapping(&quot;/credenciamentos&quot;)
    @Timed
    public ResponseEntity&lt;Credenciamento&gt; createCredenciamento(@Valid @RequestBody Credenciamento credenciamento) throws URISyntaxException, GeneralSecurityException {
<span class="fc" id="L77">        log.debug(&quot;REST request to save Credenciamento : {}&quot;, credenciamento);</span>
<span class="fc bfc" id="L78" title="All 2 branches covered.">        if (credenciamento.getId() != null) {</span>
<span class="fc" id="L79">            return ResponseEntity.badRequest().headers(HeaderUtil.createFailureAlert(ENTITY_NAME, &quot;idexists&quot;, &quot;A new credenciamento cannot already have an ID&quot;)).body(null);</span>
        }
<span class="fc" id="L81">        credenciamento.setStatusCredenciamento(StatusCredenciamento.EM_ANALISE);</span>
<span class="fc" id="L82">        email.send(credenciamento.getEmail(), ASSUNTO,&quot;Olá,&quot;+&quot; &quot; +credenciamento.getNomeResumido()+&quot;:&quot;+&quot;\n&quot;+ ANALISE);</span>

<span class="fc" id="L84">        Credenciamento result = credenciamentoRepository.save(credenciamento);</span>
<span class="fc" id="L85">        return ResponseEntity.created(new URI(&quot;/api/credenciamentos/&quot; + result.getId()))</span>
<span class="fc" id="L86">            .headers(HeaderUtil.createEntityCreationAlert(ENTITY_NAME, result.getId().toString()))</span>
<span class="fc" id="L87">            .body(result);</span>
    }

    /**
     * PUT  /credenciamentos : Updates an existing credenciamento.
     *
     * @param credenciamento the credenciamento to update
     * @return the ResponseEntity with status 200 (OK) and with body the updated credenciamento,
     * or with status 400 (Bad Request) if the credenciamento is not valid,
     * or with status 500 (Internal Server Error) if the credenciamento couldnt be updated
     * @throws URISyntaxException if the Location URI syntax is incorrect
     * @throws GeneralSecurityException 
     */
    @PutMapping(&quot;/credenciamentos&quot;)
    @Timed
    public ResponseEntity&lt;Credenciamento&gt; updateCredenciamento(@Valid @RequestBody Credenciamento credenciamento) throws URISyntaxException, GeneralSecurityException {
<span class="fc" id="L103">        log.debug(&quot;REST request to update Credenciamento : {}&quot;, credenciamento);</span>
<span class="fc bfc" id="L104" title="All 2 branches covered.">        if (credenciamento.getId() == null) {</span>
<span class="fc" id="L105">            return createCredenciamento(credenciamento);</span>
        }
<span class="pc bpc" id="L107" title="1 of 2 branches missed.">        if(credenciamento.getStatusCredenciamento().equals(StatusCredenciamento.APROVADO)){</span>
        	
<span class="fc" id="L109">        	email.send(credenciamento.getEmail(), ASSUNTO,&quot;Olá,&quot; +credenciamento.getNomeResumido()+&quot;:&quot;+&quot;\n&quot;+ APROVADO);</span>
        }else{
        	
        }
<span class="fc" id="L113">        Credenciamento result = credenciamentoRepository.save(credenciamento);</span>
<span class="fc" id="L114">        return ResponseEntity.ok()</span>
<span class="fc" id="L115">            .headers(HeaderUtil.createEntityUpdateAlert(ENTITY_NAME, credenciamento.getId().toString()))</span>
<span class="fc" id="L116">            .body(result);</span>
    }

    /**
     * GET  /credenciamentos : get all the credenciamentos.
     *
     * @return the ResponseEntity with status 200 (OK) and the list of credenciamentos in body
     */
    @GetMapping(&quot;/credenciamentos&quot;)
    @Timed
    public List&lt;Credenciamento&gt; getAllCredenciamentos() {
<span class="fc" id="L127">        log.debug(&quot;REST request to get all Credenciamentos&quot;);</span>
<span class="fc" id="L128">        List&lt;Credenciamento&gt; credenciamentos = credenciamentoRepository.findAll();</span>
<span class="fc" id="L129">        return credenciamentos;</span>
    }

    /**
     * GET  /credenciamentos/:id : get the &quot;id&quot; credenciamento.
     *
     * @param id the id of the credenciamento to retrieve
     * @return the ResponseEntity with status 200 (OK) and with body the credenciamento, or with status 404 (Not Found)
     */
    @GetMapping(&quot;/credenciamentos/{id}&quot;)
    @Timed
    public ResponseEntity&lt;Credenciamento&gt; getCredenciamento(@PathVariable Long id) {
<span class="fc" id="L141">        log.debug(&quot;REST request to get Credenciamento : {}&quot;, id);</span>
<span class="fc" id="L142">        Credenciamento credenciamento = credenciamentoRepository.findOne(id);</span>
<span class="fc" id="L143">        return ResponseUtil.wrapOrNotFound(Optional.ofNullable(credenciamento));</span>
    }

    /**
     * DELETE  /credenciamentos/:id : delete the &quot;id&quot; credenciamento.
     *
     * @param id the id of the credenciamento to delete
     * @return the ResponseEntity with status 200 (OK)
     */
    @DeleteMapping(&quot;/credenciamentos/{id}&quot;)
    @Timed
    public ResponseEntity&lt;Void&gt; deleteCredenciamento(@PathVariable Long id) {
<span class="fc" id="L155">        log.debug(&quot;REST request to delete Credenciamento : {}&quot;, id);</span>
<span class="fc" id="L156">        credenciamentoRepository.delete(id);</span>
<span class="fc" id="L157">        return ResponseEntity.ok().headers(HeaderUtil.createEntityDeletionAlert(ENTITY_NAME, id.toString())).build();</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>